%define name goffice
%define version 0.10.31

%define api 0.10
%define major 10
%define libname %mklibname %name %{api}_%major
%define develname %mklibname -d %name %api

Summary:	Set of document centric objects and utilities for glib/gtk
Summary(de):	Setzen zentrischer Dokument Objekte und Werkzeuge für glib/gtk
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goffice/%{name}-%{version}.tar.xz
License:	GPL
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gs-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libglade2.0-devel
BuildRequires:	gtk-doc
BuildRequires:	perl-XML-Parser
BuildRequires:	pcre
BuildRequires:	%{_lib}pcre0-devel
BuildRequires:  %{_lib}rsvg2-devel
Obsoletes: %name < %version

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%description -l de
Es sind gemeinsame Maßnahmen für Dokumenten-zentrischen Anwendungen, die 
konzeptionell einfach aber komplex in vollem Umfang durchzuführen sind.
	- Erweiterungen
	- Laden/Speichern von Dokumenten
	- rückgängig/nocheinmal machen 

%package -n %libname
Summary:	Set of document centric objects and utilities for glib/gtk
Summary(de):	Setzen zentrischer Dokument Objekte und Werkzeuge für glib/gtk
Group:		System/Libraries
Requires:	%{name} >= %{version}
Obsoletes:	%libname < %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%description -n %libname -l de
Shared Library implementierung zentrischer Dokument Objekte und Werkzeuge für glib/gtk


%package -n %libname-devel
Summary:	Set of document centric objects and utilities for glib/gtk
Summary(de):	Setzen zentrischer Dokument Objekte und Werkzeuge für glib/gtk
Summary(de): Setzen zentrischer Dokument Objekte und Werkzeuge für glib/gtk
Group: Development/Libraries
Requires: %libname = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes:	libgoffice0_3-devel
Obsoletes:	libgoffice0_4-devel
Obsoletes:	libgoffice0_21_1_2-devel
Obsoletes:	libgoffice0_6-devel
Obsoletes:	%libname-devel < %version
Obsoletes:	libgoffice0.8_7-devel

%description -n %libname-devel
Development files of the Goffice library.

%description -n %libname-devel -l de
Entwicklungs Dateien der Goffice Bibliothek.

%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x --disable-static 
%make

%install
rm -rf $RPM_BUILD_ROOT %{name}-%{version}.lang
%makeinstall_std

%find_lang %{name}-%{version}


find %buildroot -name \*.la|xargs rm


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%dir %{_libdir}/%{name}/
%{_datadir}/goffice/%{version}/mmlitex

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%name/%version/

%files -n %{libname}-devel
%defattr(-,root,root)
%_includedir/libgoffice-%{api}/
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
#%_datadir/gtk-doc/html/goffice-%api/


%changelog
* Thu Jun 30 2016 bb <bb> 0.10.31-1pclos2016
- update

* Sun Jun 19 2016 bb <bb> 0.10.30-1pclos2016
- update

* Fri May 06 2016 bb <bb> 0.10.29-1pclos2016
- update

* Mon Dec 28 2015 bb <bb> 0.10.26-1pclos2015
- update again

